body {
    font-family: Arial, sans-serif;
    background: url('../images/background1.jpg') no-repeat center center fixed;
    background-size: cover;
    color: white;
}

.home-content {
    text-align: left;
    margin-left: 50px;
    margin-top: 200px;
}

.home-title {
    text-align: left;
    margin-left: 20px;
}

.home-content p {
    text-align: left;
    max-width: 600px;
    line-height: 2.6;
}

.search-section {
    color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100vh;
}

.text-container {
    max-width: 600px;
    text-align: left;
    line-height: 2.6;
}

.navbar {
    margin-bottom: 20px;
}

.main-image {
    display: block;
    margin-top: 20px;
    max-width: 300px;
    height: auto;
    border: 5px solid white;
}

.lightning {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: url('../images/lightning.png') no-repeat center center;
    background-size: cover;
    z-index: 9999;
    transform: translateX(-20%);
    animation: lightning 0.5s;
}

@keyframes lightning {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

.main-button, .start-button {
    background-color: black !important;
    border-color: black !important;
    color: white !important;
    text-shadow: 0 0 10px rgba(255, 0, 0, 0.8);
    box-shadow: 0 0 20px rgba(255, 0, 0, 0.6), 0 0 40px rgba(255, 0, 0, 0.6), 0 0 60px rgba(255, 0, 0, 0.6);
    transition: box-shadow 0.3s ease-in-out;
    margin-top: 20px;
  
}

.main-button:hover, .start-button:hover {
    background-color: #333 !important;
    border-color: #333 !important;
    box-shadow: 0 0 30px rgba(255, 0, 0, 0.8), 0 0 50px rgba(255, 0, 0, 0.8), 0 0 70px rgba(255, 0, 0, 0.8);
}

form#searchForm {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 50px;
}

form#searchForm input, form#searchForm button {
    width: 100%;
    max-width: 300px;
}

h1 {
    text-align: center;
    margin-bottom: 30px;
}

#pokemonInfo {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    margin-top: 50px;
}

#pokemonInfo img {
    max-width: 150px;
    height: auto;
    margin-bottom: 20px;
}

#teamList {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    height: calc(100vh - 250px);
    margin-top: -100px;
}

#teamList .col-6 {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50%;
    height: auto;
}

#teamList .card {
    margin: 10px;
    width: 300px;
    text-align: center;
}

#teamList .card img {
    max-width: 500px;
    height: auto;
}

#startBattle {
    position: fixed;
    bottom: 50px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 10;
}

.battle-section {
  text-align: center;
  margin-top: 50px;
}

.team-form {
  display: flex;
  flex-direction: column;
  align-items: center;   
  margin-top: 40px;
}